org.apache.mina.proxy.handlers.http

## Class HttpProxyConstants

- java.lang.Object
- - org.apache.mina.proxy.handlers.http.HttpProxyConstants

-     public class HttpProxyConstants
      extends Object

  HttpProxyConstants.java - HTTP Proxy constants.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECT` The HTTP CONNECT verb.
    `static String` | `CRLF` The CRLF character sequence used in HTTP protocol to end each line.
    `static String` | `DEFAULT_KEEP_ALIVE_TIME` The default keep-alive timeout we set to make proxy connection persistent.
    `static String` | `DOMAIN_PROPERTY` The domain name property.
    `static String` | `GET` The HTTP GET verb.
    `static String` | `HTTP_1_0` The HTTP 1.0 protocol version string.
    `static String` | `HTTP_1_1` The HTTP 1.1 protocol version string.
    `static String` | `PUT` The HTTP PUT verb.
    `static String` | `PWD_PROPERTY` The password property.
    `static String` | `USER_PROPERTY` The username property.
    `static String` | `WORKSTATION_PROPERTY` The workstation name property.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpProxyConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONNECT

          public static final String CONNECT

      The HTTP CONNECT verb.
      See Also:
        Constant Field Values

    - #### GET

          public static final String GET

      The HTTP GET verb.
      See Also:
        Constant Field Values

    - #### PUT

          public static final String PUT

      The HTTP PUT verb.
      See Also:
        Constant Field Values

    - #### HTTP_1_0

          public static final String HTTP_1_0

      The HTTP 1.0 protocol version string.
      See Also:
        Constant Field Values

    - #### HTTP_1_1

          public static final String HTTP_1_1

      The HTTP 1.1 protocol version string.
      See Also:
        Constant Field Values

    - #### CRLF

          public static final String CRLF

      The CRLF character sequence used in HTTP protocol to end each line.
      See Also:
        Constant Field Values

    - #### DEFAULT_KEEP_ALIVE_TIME

          public static final String DEFAULT_KEEP_ALIVE_TIME

      The default keep-alive timeout we set to make proxy connection persistent. Set to 300 ms.
      See Also:
        Constant Field Values

    - #### USER_PROPERTY

          public static final String USER_PROPERTY

      The username property. Used in auth mechs.
      See Also:
        Constant Field Values

    - #### PWD_PROPERTY

          public static final String PWD_PROPERTY

      The password property. Used in auth mechs.
      See Also:
        Constant Field Values

    - #### DOMAIN_PROPERTY

          public static final String DOMAIN_PROPERTY

      The domain name property. Used in auth mechs.
      See Also:
        Constant Field Values

    - #### WORKSTATION_PROPERTY

          public static final String WORKSTATION_PROPERTY

      The workstation name property. Used in auth mechs.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpProxyConstants

          public HttpProxyConstants()

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.